
:root {
    --grey: #fafafa;
    --blue-light: rgb(0,180,243);
    --blue-dark: rgb(42, 55, 87);
    --dark: #333;
}

a {
  color: var(--blue-dark);
  text-decoration: underline;
  text-decoration-style: dotted;
  text-underline-offset: 2px;
}

a:hover {
  color: var(--blue-light);
}

strong, b {
    color: var(--blue-dark);
    border-bottom: 2px dotted var(--blue-dark);
}

body {
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    padding: 0;
    margin: 0;
}

h1, h2, .h2 {
    font-family: 'Leckerli One', cursive;
    color: var(--blue-dark);
    display: block;
}

h2, .h2 {
    font-size: 2rem;
    font-family: 'Leckerli One', cursive;
    color: var(--blue-dark);
}

h3, .h3 {
    font-size: 1.75rem;
    color: var(--blue-dark);
    font-weight: 700;
}

.subtitle {
  font-size: 1.5rem;
  display: inline-block;
  position: relative;
}

.subtitle::before {
  content: "";
  position: absolute;
  left: -2%;
  bottom: 2px;
  height: 9px;
  background-color: var(--blue-light);
  opacity: .5;
  width: 105%;
  z-index: -1;

}

p {
    font-size: 17px;
    line-height: 1.5;
}

section > h2 {
    padding-top: 1rem;
    font-size: 2rem;
    border-top: 2px solid #f1f1f1;
    margin: 1rem 0;
}

.intro {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: -120px;
}

.intro h1 {
    font-size: 10vmin;
    color: white;
    line-height: 1;
    margin-bottom: 1rem;
    text-align: center;
}

.intro .h2 {
    font-size: 2rem;
    text-align: center;
}


header .intro-location {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-size: 1.25rem;
    color: var(--dark);
    padding: 0 2rem;
    gap: 2rem;
    background-color: rgb(0 180 243 / 10%);
    border-radius: 0 0rem 1rem 1rem;
}

.intro .intro-title {
    padding: 10rem 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.intro .intro-title .intro-subtitle {
    font-weight: 400;
    margin: 1rem;
    color: var(--blue-dark);
    display: inline-block;
    font-family: 'Leckerli One', cursive;

}

.intro .intro-image {
    /*-webkit-mask: url(img/blob1.svg);
    mask: url(img/blob1.svg);
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-size: contain;
    mask-size: contain;
    margin-bottom: 2rem;
    -webkit-mask-position: 50%;
    mask-position: 50%;*/
    mask-image: linear-gradient(to top, white, transparent);
    position: relative;
    top: -160px;
    z-index: 1;
}

.intro .intro-image img {
    width: 100vw;
    height: auto;
}

.intro .intro-location span {
    padding: 0;
}

.intro .intro-titre-h {
    position: relative;
    z-index: 2;
    top: -60px;
}

.intro .intro-titre-h h4{
    color: white;
    margin: 1.5rem;
    text-transform: uppercase;
    text-shadow: 0 0 10px #222a;
    text-align: center;
}


main {

}

.wrapper-intro {
    background: linear-gradient( to bottom, rgb(0,180,243), white);
}


header {
    background-image: url(./img/wave-blue.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center 100%;
    min-height: 280px;
    text-align: center;
}

section {
    max-width: 1200px;
    margin: 0 auto;
    padding: 1rem;
}


.cours {
    display: grid;
    grid-template-columns: 1fr;
    gap: 2rem;
}

.cours article.cours-item {
    box-shadow:  0 0 10px #2228;
    background-color: white;
    text-align: center;
    overflow: hidden;
    position: relative;
}

.cours article.cours-item h2{
    /* border: 2px solid var(--blue-light); */
    font-size: 2.5rem;
}

.cours article.cours-item .cours-img {
    height: 410px;
 }

.cours article.cours-item img {
    width: 100%;
    object-fit: cover;
    object-position: center;
    height: 410px;
    padding: 0;
    margin: 0;
}

.cours article.cours-item .cours-info {
    display: inline-block;
    text-align: center;
    position: absolute;
    bottom: 0;
    background: rgb(255 255 255 / 90%);
    padding: 2rem;
    left: 50%;
    transform: translate(-50%, 0%);
    width: 60%;
    border-radius: 10px 10px 0 0;
}

.cours article.cours-item .cours-info h2 {
    margin: 1rem 0;
}

.cours .cours-info .btn{
    font-size: .75rem;

}

.cours-description {
    margin-top: 1rem;
    display: flex;
    gap: 1rem;
    align-items: center;
    flex-direction: column;
}

.cours-description-img {
    flex-shrink: 1;
    mask-image: url(./img/blob-sky.svg);
    mask-repeat: no-repeat;
    mask-position: 75% 100%;
}

.cours-description-details {
    flex-grow: 1;
}

.activities h2 {
    text-align: center;
    margin: 0;
}



.btn {
    background-color: var(--blue-dark);
    color: white;
    padding: 1rem;
    border-radius: 2rem;
    transition: all linear .2s;
    margin: 1rem auto;
    display: block;
    width: fit-content;
    text-decoration: none;
    font-weight: 300;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-size: 1rem;
    text-align: center;
}

.btn-sm {
  margin: 1rem .5rem 1rem 0;
  padding: .5rem 1rem;
  border-radius: 1rem;
  font-size: .875rem;
  display: inline-block;
}

.btn:hover {
    background-color: var(--blue-light);
    color: var(--blue-dark);
}

.cours-details {
    background-color: white;
    padding: 1rem;
}


.cours-details article {
    padding-top: 1rem;
    padding-bottom: 3rem;
    border-bottom: 8px dotted var(--blue-light);
}

.cours-details article h3 {
    color: var(--blue-dark);
    font-size: 2rem;
    margin: 0 0 1rem;
}

.cours-details article ul {
    display: flex;
    list-style: none;
    padding: 0;
    margin: 0;
    flex-wrap: wrap;
}

.cours-details article ul li {
    margin-right: 1rem;
    margin-bottom: .5rem;
    border: 2px solid #1f7fba;
    color: #1f7fba;
    padding: .5rem;
    font-size: 14px;
    font-weight: 600;
    border-radius: 2rem;
    box-shadow: 0 0 20px 0px #4443;
    background: white;
}

.cours-details article ul li.filled {
    background-color: var(--blue-dark);
    color: white;
    border-color: var(--blue-dark);
}

.tel-number {
    font-size: 1.125rem;
}

.tel-number img{
    padding: .5rem .5rem .5rem 0;
}

.more-infos {
    color: var(--blue-dark);
    text-decoration: none;
    font-weight: 600;
    border-bottom: 5px dotted var(--blue-light) ;
}

.profil img.img-profile{
    border-radius: 50%;
    max-width: 128px;
    background-color: #fafafa;
    box-shadow: 0 0 10px var(--blue-dark);
}
.profil {
    display: inline-flex;
    flex-direction: column;
    width: 35%;
    align-items: center;
}

.profil-title{
    text-align: center;
    color: black;
    display: inline-block;
    padding: .5rem;
    border-radius: 1rem;
   position: relative;
   top: -100px;
}

.profil-title a {
    text-underline-offset: 8px;
    color: var(--blue-dark);
    font-weight: 800;

}

.profil-title a:hover{
    color: var(--blue-light);
}

.profil-title h3{
    font-size: 2rem;
    margin: .5rem;
}

footer {
    padding: 3rem 2rem;
    margin-top: 3rem;
    background: var(--blue-dark);
    color: white;
    text-align: center;
}

footer h2 {
    color: white;
}

.tab {
    border: 1px solid #ccc;
    padding: 2rem;
    box-shadow: 0 -1px 15px 0px #2222;
    border-bottom: none;
    flex: 1 1;
}

.tab h3 img{
    vertical-align: baseline;
}
.cards {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    gap: 2rem;
    position: relative;
}

.cards::before {
    content: "";
    position: absolute;
    bottom: 0;
    width: 100%;
    left: 0%;
    height: 8px;
    background-color: var(--blue-light);
}

.card {
    margin: 4rem 0;
    /*background-color: var(--blue-dark);*/
    min-height: 300px;
    background-image: url(./img/blob-turquoise.svg) ;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
    width: 100%;

}

.card.blue {
    background-image: url(./img/blob-blue.svg) ;
}

.card.purple {
    background-image: url(./img/blob-purple.svg) ;
}

.card p {
    padding-right: 0rem;
    margin: .25rem;
}

.contact h2 {
    margin-bottom: 5rem;
}

.bubble {
    background-image: url(./img/blob-sky.svg);
    background-repeat: no-repeat;
    background-position: right bottom;
    background-size: 200px;
}

.location-img {
    margin: 2rem 0;
    background-color: var(--blue-dark);
    color: white;
    font-size: 1.5rem;
    font-weight: 600;
}




.img-fluid {
    max-width: 100%;
}

.timetable .container {
  display: flex;
}

.timetable ul.activity {
  list-style: none;
  margin: 0;
  padding: 0;
}



.timetable ul.activity.class, .timetable ul.activity.aqua  {

}

.timetable ul.activity li {
  padding: 1rem;
  background-color: #fafafa;
  margin: 0 4px 4px 0;
  font-size: 12px;
  color: #444;
  min-height: 24px;
  min-width: 125px;
  font-weight: 600;
}

.timetable ul.activity.week li {
  min-width: initial;
  font-weight: 400;
  color: var(--blue-dark)
}

.timetable ul.activity li.no-act {
  color: #999;
  font-size: 1rem;
  text-align: center;
}

.timetable ul.activity li:first-of-type {
  background: var(--blue-dark);
  color: white;
}

.timetable ul.activity li:nth-of-type(2n) {
  background: rgba(from var(--blue-light) r g b / 15%);
}

.avatar {
  background-color: #7b1b38;
  color: white;
  font-weight: 600;
  border-radius: 50%;
  width :20px;
  height: 20px;
  text-align:  center;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  margin: 0 .125rem;
  font-size: 11px;
}

.avatar.blue {
  background-color: var(--blue-light);
}

.avatar.blue-light {
  background-color: #00c7a6;
}

.my-2 {
  margin: 2rem 0;
}

.px-5 {
  padding: 1rem 8rem 1rem 5rem;
}


.text-center {
  text-align: center;
}

.diapo {
  gap: 1rem;
}

.diapo > * {
  flex-grow: 1;
}

@media screen and (min-width: 768.1px) {
    body {
        background-size: 100%;
    }

    h2, .h2 {
        font-size: 4rem;
    }

    section > h2 {
        font-size: 4rem;
    }

    header {
        background-size: 100%;
        }

    .intro {
        margin-bottom: -260px;
    }
    .intro .intro-title {
        justify-content: flex-start;
    }
    .intro .intro-titre-h {
        text-align: center;
        z-index: 2;
    }

    .intro h1 {
        font-size: 12vmin;
    }
    .intro .h2 {
        font-size: 3rem;
        text-align: center;
    }
    .intro .intro-image {
        top: -320px;
    }
    .intro .intro-image img {

    }

    .cours {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        gap: 1rem;
    }
    .cours-description {
        flex-direction: row;
    }
    .cards {
        flex-flow: row;
    }
    .card {
        flex: 1 1;
        background-repeat: no-repeat;
        padding: 3rem 3rem 3rem 5rem;
    }
    .card p {
        padding-right: 1rem;
    }
    .bubble {
        background-position: right center;
        background-size: 500px;
    }

    .profils {
        display: flex;
    }

    .location-wrapper {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 1rem;
    }

    .location-img {
        clip-path: ellipse(45% 45% at 40% 45%);
        margin: 0;
    }

    .col-6 {
      display: inline-block;
      width: 49.8%;
    }

    .diapo {
      display: flex;
    }
}
